util.ui

## Class SearchHelper

- java.lang.Object
- - util.ui.SearchHelper

-     public class SearchHelper
      extends java.lang.Object

  This Class helps to search for a Program. It creates a new Thread, searches with a SearchFormSettings and Displays the Result
  Since:
    2.2
  Author:
    bodum

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `search(java.awt.Component comp, PluginPictureSettings pictureSettings, SearchFormSettings settings)` Search for Programs and Display a Result-Dialog.
    `static void` | `search(java.awt.Component comp, PluginPictureSettings pictureSettings, SearchFormSettings settings, boolean showDialog)` Search for Programs and Display a Result-Dialog.
    `static void` | `search(java.awt.Component comp, SearchFormSettings settings)` Search for Programs and Display a Result-Dialog.
    `static void` | `search(java.awt.Component comp, SearchFormSettings settings, ProgramPanelSettings pictureSettings)` Search for Programs and Display a Result-Dialog.
    `static void` | `search(java.awt.Component comp, SearchFormSettings settings, ProgramPanelSettings pictureSettings, boolean showDialog)` Search for Programs and Display a Result-Dialog.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### search

          public static void search(java.awt.Component comp,
                    SearchFormSettings settings,
                    ProgramPanelSettings pictureSettings)

      Search for Programs and Display a Result-Dialog. This function creates a new Thread.
      Parameters:
        `comp` - Parent-Component
        `settings` - Settings for the Search.
        `pictureSettings` - Settings for the pictures

    - #### search

          public static void search(java.awt.Component comp,
                    SearchFormSettings settings,
                    ProgramPanelSettings pictureSettings,
                    boolean showDialog)

      Search for Programs and Display a Result-Dialog. This function creates a new Thread.
      Parameters:
        `comp` - Parent-Component
        `settings` - Settings for the Search.
        `pictureSettings` - Settings for the pictures
        `showDialog` - Show the search results instantly when found something.

    - #### search

          public static void search(java.awt.Component comp,
                    PluginPictureSettings pictureSettings,
                    SearchFormSettings settings,
                    boolean showDialog)

      Search for Programs and Display a Result-Dialog. This function creates a new Thread.
      Parameters:
        `comp` - Parent-Component
        `pictureSettings` - Settings for the pictures
        `settings` - Settings for the Search.
        `showDialog` - Show the search results instantly when found something.
      Since:
        2.7

    - #### search

          public static void search(java.awt.Component comp,
                    PluginPictureSettings pictureSettings,
                    SearchFormSettings settings)

      Search for Programs and Display a Result-Dialog. This function creates a new Thread.
      Parameters:
        `comp` - Parent-Component
        `pictureSettings` - Settings for the pictures
        `settings` - Settings for the Search.
      Since:
        2.6

    - #### search

          public static void search(java.awt.Component comp,
                    SearchFormSettings settings)

      Search for Programs and Display a Result-Dialog. This function creates a new Thread.
      Parameters:
        `comp` - Parent-Component
        `settings` - Settings for the Search.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)